A little Help w/ ipod Firmware?

Discussion in 'Mac Basics and Help' started by ShaggNY, Oct 3, 2005.

  1. ShaggNY macrumors newbie

    Joined:
    Oct 3, 2005
    #1
    I've got a G4 iMac with Panther OS X, downloaded all the itunes updates, blah blah blah. Also have a 3G iPod which updates automatically (or used to) whenever I connect it. Now, out of nowhere, i'm having trouble getting my iPod to automatically update once connected. I have all the correct pre-sets checked in iTunes - but now I'm getting a prompt that says "Some files from itunes may not have been updated on your ipod. ipod software too old - go to apple.com to update" - OK. Did that - now I get a prompt that says "Can't find appropriate ipod firmware" – what am I doing wrong, or am I just stuck updating my ipod manually? PLEASE HELP a mac user of average intelligence.. Much Thanks! :confused:
     
  2. rdowns Suspended

    rdowns

    Joined:
    Jul 11, 2003
    #2

    Check your utilities folder for the lastest iPod software. That's where Apple installs it. Run it and update your iPod.
     
  3. ShaggNY thread starter macrumors newbie

    Joined:
    Oct 3, 2005
    #3
    Thanks Rdowns –

    I did see the latest updates (9/23) in the utilities folder... but when I try to run it, i get the "inappropriate firmware" prompt – I'll give it another go.

    Thanks again.
     

Share This Page